Subject: git-gui is slow to display a large number of changed/new files

From: Dan Zwell <[email-masked]>
Date: Mon, 29 Jun 2009 16:19:54 -0500

Hello,

I was recently working on a project with tens of thousands of generated 
files. The generated directory was not intended to be tracked by git, 
but I had forgotten to add it to .gitignore. When I tried to use 
git-gui, it seemed to hang for about a minute. The problem is that 
creating the icons in the "staged changes" and "unstaged changes" 
windows is very slow. This data is redisplayed after several operations, 
and the lag makes git-gui unusable.

Is this behavior worth changing? I doubt the scenario I encountered is a 
common one. However, I have written a patch to display at most 5000 
changed/new files, warning the user that the list has been truncated. If 
this is a worthy change, I can submit the patch--I can also change it so 
that the maximum number of displayed files is taken from git's 
configuration.

Thanks
-Daniel